r475 - packages/nexuiz/trunk/debian

Bruno Fuddl-guestquot; Fuddl" Kleinert fuddl-guest at costa.debian.org
Wed Apr 12 18:30:43 UTC 2006


Author: fuddl-guest
Date: 2006-04-12 18:30:42 +0000 (Wed, 12 Apr 2006)
New Revision: 475

Added:
   packages/nexuiz/trunk/debian/PKG-GAMES_prepare.sh
Log:
added script to prepare build tree from upstream nexuiz-*.zip


Added: packages/nexuiz/trunk/debian/PKG-GAMES_prepare.sh
===================================================================
--- packages/nexuiz/trunk/debian/PKG-GAMES_prepare.sh	2006-04-12 18:29:30 UTC (rev 474)
+++ packages/nexuiz/trunk/debian/PKG-GAMES_prepare.sh	2006-04-12 18:30:42 UTC (rev 475)
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+ARCHIVE=nexuiz-15.zip
+
+if [ $# != 2 ]; then
+	echo "Usage: PKG-GAMES_prepare.sh <\"binarypkg\"|\"binaryoriggz\"> /path/to/nexuiz-15.zip"
+	exit 1
+fi
+
+if [ ! -f /usr/bin/unzip ]; then
+	echo "Please aptitude install unzip"
+	exit 1
+fi
+
+echo "Using $1/$ARCHIVE as source"
+
+mkdir ./tmp && cp "$2"/$ARCHIVE ./tmp && cd ./tmp && unzip ./$ARCHIVE && cd ..
+if [ "$?" != "0" ]; then
+	echo "Failed to get nexuiz-15.zip, bailing out..."
+	rm -rf ./tmp
+	exit 1;
+fi
+
+case "$1" in
+	
+	binarypkg)
+		rm -rf ./tmp/Nexuiz/data
+		cp -r ./tmp/Nexuiz/* ..
+		rm -rf ./tmp
+	;;
+
+	binaryoriggz)
+		rm -rf ./tmp/Nexuiz/data
+		mv ./tmp/Nexuiz ./tmp/nexuiz-1.5
+		cd ./tmp; tar -czf nexuiz_1.5.orig.tar.gz nexuiz-1.5; cd .. && mv ./tmp/*.orig.tar.gz $2
+		rm -rf tmp
+		echo "Created $2/nexuiz_1.5.orig.tar.gz"
+	;;
+esac
+
+exit 0


Property changes on: packages/nexuiz/trunk/debian/PKG-GAMES_prepare.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-games-devel mailing list